      SUBROUTINE FOLD(ALAT,ALON,LA,INS,ALA,LO,IEW,ALO)
C
C-------- GIVEN GEOGRAPHIC COORDINATES COMPUTE GEOCENTRIC LAT AND LON
C
C INPUT:  LA     DEGREE PORTION OF LATITUDE IN DEGREES
C         INS    N FOR NORTH, S FOR SOUTH
C         ALA    MINUTES PORTION OF LATITUDE
C         LO     DEGREE PORTION OF LONGITUDE
C         IEW    E FOR EAST, W FOR WEST
C         ALO    MINUTES PORTION OF LONGITUDE
C OUTPUT: ALAT   GEOCENTRIC LATITUDE IN RADIANS
C         ALON   LONGITUDE IN RADIANS
      REAL PI,TWOPI,HALFPI,RAD,DEG,EQURAD,POLRAD,FLAT,C1,C2
      REAL ALAT,ALON,ALA,ALO
      INTEGER LA,LO
      PARAMETER (PI = 3.14159265)
      PARAMETER (TWOPI = 2.0*PI)
      PARAMETER (HALFPI = 0.5*PI)
      PARAMETER (RAD = PI/180.)
      PARAMETER (DEG = 1.0/RAD)
      PARAMETER (EQURAD = 6378.2064)
      PARAMETER (POLRAD = 6356.5838)
      PARAMETER (FLAT = (EQURAD - POLRAD)/EQURAD)
      PARAMETER (C1 = (1.0 - FLAT)**2)
      PARAMETER (C2 = HALFPI*(1.0/C1 - 1.0))
C
      CHARACTER*1 INS, IEW
C
      ALAT = (LA + ALA*1.6666667E-2)*RAD
C  GGTOGC - CONVERT FROM GEOGRAPHIC TO GEOCENTRIC LATITUDE
      IF (HALFPI-ABS(ALAT) .GE. 0.02) GOTO 201
         ALAT = ALAT/C1-SIGN(C2,ALAT)
         GOTO 202
  201    ALAT = ATAN(C1*TAN(ALAT))
  202    CONTINUE
      IF (INS .EQ. 'S')ALAT = -ALAT
      ALON = (LO + ALO*1.6666667E-2)*RAD
      IF (IEW .EQ. 'W') ALON = -ALON
      RETURN
      END
